Skip to main content

Get Plan Order List

HTTP Request

  • GET /api/v1/private/planorder/list/orders

Required Permission: View Order Details

Request Parameters

ParameterTypeRequiredDescription
symbolstringfalseContract
statesstringfalseStatus,1: untriggered,2: canceled,3: executed,4: invalidated,5: execution failed; multiple separated by ','
sideintfalseOrder side,1: open long,2: close short,3: open short,4: close long
start_timelongtrueStart time, Unix millisecond timestamp
end_timelongtrueEnd time, Unix millisecond timestamp
page_numinttrueCurrent page, default 1
page_sizeinttruePage size, default 20, max 100

Response Parameters

ParameterTypeDescription
idintOrder id
symbolstringContract
leveragedecimalLeverage
sidestringOrder side, 1 open long,3 open short
triggerPricedecimalTrigger price
pricedecimalExecution price
voldecimalOrder quantity
openTypeintOpen type,1: isolated,2: cross
triggerTypeintTrigger type,1: greater than or equal,2: less than or equal
stateintStatus,1: untriggered,2: canceled,3: executed,4: invalidated,5: execution failed
executeCycleintExecution cycle, unit: hours
trendintTrigger price type,1: latest price,2: fair price,3: index price
errorCodeintError code when execution fails, 0: normal
orderIdlongOrder id, returned when execution succeeds
orderTypeintOrder type,1: Limit,2: Post Only (maker only),3: Immediate-Or-Cancel,4: Fill-Or-Kill,5: Market
createTimelongCreated time
updateTimelongUpdated time
priceProtectintPrice difference protection 1 on 0 off
positionModeintUser-set position mode. Default 0: no record (historical orders); 1: Hedge Mode; 2: One-way Mode
lossTrendintStop-loss reference price type 1 latest price 2 fair price 3 index price
profitTrendintTake-profit reference price type 1 latest price 2 fair price 3 index price
stopLossPricedecimalStop-loss price
takeProfitPricedecimalTake-profit price
reduceOnlybooleanReduce-only

Response Parameters

Common parameters, success: true success, false failure

Response

{
"success": true,
"code": 0,
"data": [
{
"id": "739114860879304259",
"symbol": "DOGE_USD",
"leverage": 2,
"side": 1,
"triggerPrice": 0.00001,
"price": 0.00001,
"vol": 1,
"openType": 1,
"triggerType": 2,
"state": 1,
"executeCycle": 87600,
"trend": 1,
"orderType": 1,
"errorCode": 0,
"priceProtect": 0,
"createTime": 1761889115000,
"updateTime": 1761889115000,
"positionMode": 1,
"lossTrend": 1,
"profitTrend": 1,
"reduceOnly": false
}
]
}